%define pname OpenSSL
%define name python-%{pname}

Summary:	Python interface to the OpenSSL library
Name:		python-%{pname}
Version:	16.1.0
Release:	%mkrel 1
Source:		https://files.pythonhosted.org/packages/source/p/py%{pname}/py%{pname}-%{version}.tar.gz
License:	ASL 2.0
Group:		Development/Python
Url:		https://github.com/pyca/pyopenssl
BuildArch:	noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)
BuildRequires:  pythonegg(2)(cryptography)

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(cryptography)

Obsoletes:	pyOpenSSL
Provides:	pyOpenSSL

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.

It includes:
* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.

%package -n python3-%{pname}
Summary:	Python wrapper module around the OpenSSL library
Group:		Development/Python

%description -n python3-%{pname}
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes


%package doc
Summary:	Documentation for python-%{pname}
BuildArch:	noarch

%description doc
Documentation for python-OpenSSL

%prep
%setup -q -n py%pname-%version
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python2} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python3} setup.py build
popd

%{__make} -C doc html

%install
%py2_install

pushd %{py3dir}
%py3_install
popd


%files
%{python2_sitelib}/OpenSSL/
%{python2_sitelib}/pyOpenSSL-*.egg-info


%files -n python3-%{pname}
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info


%files doc
%doc examples doc/_build/html



%changelog
* Wed Nov 22 2017 mitya <mitya> 16.1.0-1.mga6
+ Revision: 1178907
- Update to 16.1.0

* Mon Apr 11 2016 philippem <philippem> 16.0.0-1.mga6
+ Revision: 1000252
- update to 16.0.0

* Fri Feb 19 2016 umeabot <umeabot> 0.15.1-2.mga6
+ Revision: 970725
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.15.1-1.mga6
+ Revision: 888063
- new version: 0.15.1
- rebuild for python 3.5

* Sun Mar 08 2015 philippem <philippem> 0.14-1.mga5
+ Revision: 818118
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.13.1-9.mga5
+ Revision: 749978
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.13.1-8.mga5
+ Revision: 729247
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.13.1-7.mga5
+ Revision: 687875
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.13.1-6.mga5
+ Revision: 629718
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.13.1-5.mga5
+ Revision: 628446
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.13.1-4.mga4
+ Revision: 543013
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.1-3.mga4
+ Revision: 498077
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 23 2013 philippem <philippem> 0.13.1-2.mga4
+ Revision: 484420
- Python 3 subpackage
- Split documentation off into noarch subpackage
- Change BuildRequires to texlive-dist

* Mon Sep 09 2013 oden <oden> 0.13.1-1.mga4
+ Revision: 476686
- 0.13.1 (fixes CVE-2013-4314)

* Sun Jan 13 2013 umeabot <umeabot> 0.13-2.mga3
+ Revision: 378442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 blino <blino> 0.13-1.mga3
+ Revision: 337650
- 0.13 (needed for mitmproxy)

* Sun Jun 19 2011 kharec <kharec> 0.12-1.mga2
+ Revision: 109720
- new version 0.12

* Sat Apr 16 2011 ahmad <ahmad> 0.11-1.mga1
+ Revision: 86767
- update to 0.11
- change Url and Source urls to the new upstream web site
- drop explicit python runtime requires, already handled by the rpm build scripts
- move the cleaning of buildroot to %%install instead of %%prep

* Wed Mar 30 2011 ahmad <ahmad> 0.10-5.mga1
+ Revision: 78969
- replace tetex BR with texlive

* Thu Jan 20 2011 erwan <erwan> 0.10-4.mga1
+ Revision: 27425
- imported package python-OpenSSL

